Replace a task's checklist
Replace a task's checklist. Manager+, or a Member assigned to the task. FULL REPLACE: omitted items are permanently deleted (a warning reports how many). Plan: Studio or Agency (API access). Scope: write.
Authorization
BearerAuth Personal Access Token. Mint at Settings → API. Token shape: hsk_<env>_<prefix12>_<secret32>.
In: header
Path Parameters
Task UUID.
Header Parameters
Caller-generated UUID/ULID; replay returns the cached response within 24h.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
FULL REPLACE: existing items omitted from items are permanently deleted.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/checklist" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "expectedUpdatedAt": "2019-08-24T14:15:22Z", "items": [ { "text": "string", "done": true } ] }'{ "data": { "taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "updatedAt": "2019-08-24T14:15:22Z", "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "text": "string", "done": true, "position": 0 } ] }, "warnings": [ "string" ]}{ "error": { "code": "unauthenticated", "message": "string", "fields": { "property1": "string", "property2": "string" }, "requiredPlan": "studio", "feature": "string", "requestId": "string" }}{ "error": { "code": "unauthenticated", "message": "string", "fields": { "property1": "string", "property2": "string" }, "requiredPlan": "studio", "feature": "string", "requestId": "string" }}{ "error": { "code": "unauthenticated", "message": "string", "fields": { "property1": "string", "property2": "string" }, "requiredPlan": "studio", "feature": "string", "requestId": "string" }}{ "error": { "code": "unauthenticated", "message": "string", "fields": { "property1": "string", "property2": "string" }, "requiredPlan": "studio", "feature": "string", "requestId": "string" }}{ "error": { "code": "unauthenticated", "message": "string", "fields": { "property1": "string", "property2": "string" }, "requiredPlan": "studio", "feature": "string", "requestId": "string" }}{ "error": { "code": "unauthenticated", "message": "string", "fields": { "property1": "string", "property2": "string" }, "requiredPlan": "studio", "feature": "string", "requestId": "string" }}{ "error": { "code": "unauthenticated", "message": "string", "fields": { "property1": "string", "property2": "string" }, "requiredPlan": "studio", "feature": "string", "requestId": "string" }}